/* PIKA - Photo and Image Kooker Application
 * a rebranding of The GNU Image Manipulation Program (created with heckimp)
 * A derived work which may be trivial. However, any changes may be (C)2023 by Aldercone Studio
 *
 * Original copyright, applying to most contents (license remains unchanged): 
 * Copyright (C) 1995 Spencer Kimball and Peter Mattis
 *
 * pikapickablechooser.h
 * Copyright (C) 2023 Jehan
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef __PIKA_PICKABLE_CHOOSER_H__
#define __PIKA_PICKABLE_CHOOSER_H__


#define PIKA_TYPE_PICKABLE_CHOOSER            (pika_pickable_chooser_get_type ())
#define PIKA_PICKABLE_CHOOSER(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), PIKA_TYPE_PICKABLE_CHOOSER, PikaPickableChooser))
#define PIKA_PICKABLE_CHOOSER_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass), PIKA_TYPE_PICKABLE_CHOOSER, PikaPickableChooserClass))
#define PIKA_IS_PICKABLE_CHOOSER(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), PIKA_TYPE_PICKABLE_CHOOSER))
#define PIKA_IS_PICKABLE_CHOOSER_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), PIKA_TYPE_PICKABLE_CHOOSER))
#define PIKA_PICKABLE_CHOOSER_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS ((obj), PIKA_TYPE_PICKABLE_CHOOSER, PikaPickableChooserClass))


typedef struct _PikaPickableChooserPrivate PikaPickableChooserPrivate;
typedef struct _PikaPickableChooserClass   PikaPickableChooserClass;

struct _PikaPickableChooser
{
  GtkFrame                    parent_instance;

  PikaPickableChooserPrivate *priv;
};

struct _PikaPickableChooserClass
{
  GtkFrameClass               parent_instance;

  /* Signals. */

  void     (* activate)      (PikaPickableChooser *view,
                              PikaPickable        *pickable);
};


GType          pika_pickable_chooser_get_type     (void) G_GNUC_CONST;

GtkWidget    * pika_pickable_chooser_new          (PikaContext         *context,
                                                   GType                pickable_type,
                                                   gint                 view_size,
                                                   gint                 view_border_width);

PikaPickable * pika_pickable_chooser_get_pickable (PikaPickableChooser *chooser);
void           pika_pickable_chooser_set_pickable (PikaPickableChooser *chooser,
                                                   PikaPickable        *pickable);


#endif  /*  __PIKA_PICKABLE_CHOOSER_H__  */
