/* LIBPIKA - The PIKA Library
 * Copyright (C) 1995-1997 Peter Mattis and Spencer Kimball
 *
 * pikadrawablechooser.c
 * Copyright (C) 2023 Jehan
 *
 * This library is free software: you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 3 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library.  If not, see
 * <https://www.gnu.org/licenses/>.
 */

#if !defined (__PIKA_UI_H_INSIDE__) && !defined (PIKA_COMPILATION)
#error "Only <libpika/pikaui.h> can be included directly."
#endif

#ifndef __PIKA_DRAWABLE_CHOOSER_H__
#define __PIKA_DRAWABLE_CHOOSER_H__

G_BEGIN_DECLS

#define PIKA_TYPE_DRAWABLE_CHOOSER (pika_drawable_chooser_get_type ())
G_DECLARE_FINAL_TYPE (PikaDrawableChooser, pika_drawable_chooser, PIKA, DRAWABLE_CHOOSER, GtkBox)


GtkWidget *    pika_drawable_chooser_new          (const gchar          *title,
                                                   const gchar          *label,
                                                   GType                 drawable_type,
                                                   PikaDrawable         *drawable);

PikaDrawable * pika_drawable_chooser_get_drawable (PikaDrawableChooser  *chooser);
void           pika_drawable_chooser_set_drawable (PikaDrawableChooser  *chooser,
                                                   PikaDrawable         *drawable);
GtkWidget    * pika_drawable_chooser_get_label    (PikaDrawableChooser  *widget);


G_END_DECLS

#endif /* __PIKA_DRAWABLE_CHOOSER_H__ */
